!荷重とたわみから逆算して得られるせん断補正係数K,等方性材料
implicit none
       real :: tawami, P, L, E, b, h, k, G, poason, FEM, gosa, soutai
        print *,"FEMによるたわみ[mm]"
          read *,FEM
         print *,"ポアソン比"
          read *,poason
         print *,"荷重[N]"
          read *,P
         print *,"スパン[mm]"
          read *,L
         print *,"ヤング率[MPa]"
          read *,E
         print *,"幅[mm]"
          read *,b
         print *,"高さ[mm]"
          read *,h

         G=E/(2*(1+poason))
         tawami=((4*P*L**3)/(E*b*h**3)) 
         k=(P/G/(b*h))*(L/(FEM-tawami))
         print *,"kは：",k
       end



